import 'package:flutter/services.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:cn80listener/cn80listener.dart';

void main() {
  const MethodChannel channel = MethodChannel('cn80listener');

  TestWidgetsFlutterBinding.ensureInitialized();

  setUp(() {
    channel.setMockMethodCallHandler((MethodCall methodCall) async {
      return '42';
    });
  });

  tearDown(() {
    channel.setMockMethodCallHandler(null);
  });

  test('getPlatformVersion', () async {
    await Cn80listener.stopScanner;
  });
}
